#include<stdio.h>                                                    //李明谦 

int main()
{
	int begin, end, i, j, n = 0, num, flag1 = 0, flag2 = 0, len[20];
	scanf("%d%d", &begin, &end);
	for (i = begin; i <= end; i++)
	{
		for (j = 2; j <= i / 2; j++)
			if (i % j == 0)
				flag1 = 1;                    //判断是否是素数 

		num = i;
		while (num)
		{
			len[n++] = num % 10;
			num /= 10;                       //往len数组中存数 
		}

		for (j = 0; 2 * j + 1 < n; j++)
			if (len[j] != len[n - j -1])
				flag2 = 1;                   //判断是否是回文数 

		if (flag1 == 0 && flag2 == 0)
			printf("%d\n", i);

		n = flag1 = flag2 = 0;
	}
	return 0;
}
